LibreOffice LibreOffice 25.2 SDK API Reference

Modules | Variables
ElementModes.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::embed
| interfaces related to embedded objects, both native UNO and OLE.

## Constant Groups
constants | com::sun::star::embed::ElementModes
| The constant set contains possible modes to open an element.

## Variables
const long | READ = 1
| specifies opening of an element for reading. More...
const long | SEEKABLE = 2
| specifies opening of a seekable element. More...
const long | SEEKABLEREAD = 3
| specifies opening of a seekable element for reading. More...
const long | WRITE = 4
| specifies opening of an element for writing. More...
const long | READWRITE = 7
| specifies opening of an element for reading and writing. More...
const long | TRUNCATE = 8
| lets the document be truncated immediately after opening. More...
const long | NOCREATE = 16
| restricts creation of a new element on opening in case a requested one does not exist. More...